Package: groovy.util

## [Groovy] Class ConfigSlurper

- groovy.util.ConfigSlurper

- ConfigSlurper is a utility class for reading configuration files defined in the form of Groovy scripts. Configuration settings can be defined using dot notation or scoped using closures:

       grails.webflow.stateless = true
       smtp {
           mail.host = 'smtp.myisp.com'
           mail.auth.user = 'server'
       }
       resources.URL = 'http://localhost:80/resources'

  Settings can either be bound into nested maps or onto a specified JavaBean instance. In the latter case, an error will be thrown if a property cannot be bound.
  Since:
    1.5

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `private GroovyClassLoader` | `classLoader`
    `String` | `environment`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigSlurper ()`
    `ConfigSlurper (String env)` Constructs a new ConfigSlurper instance using the given environment
    `ConfigSlurper ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Map` | `getConditionalBlockValues()`
    `` | `String` | `getEnvironment()`
    `` | `ConfigObject` | `parse(Properties properties)` Parses a ConfigObject instances from an instance of java.util.Properties Parameters: `The` - java.util.Properties instance
    `` | `ConfigObject` | `parse(String script)` Parse the given script as a string and return the configuration object See Also: ConfigSlurper#parse(groovy.lang.Script)
    `` | `ConfigObject` | `parse(Class scriptClass)` Create a new instance of the given script class and parse a configuration object from it See Also: ConfigSlurper#parse(groovy.lang.Script)
    `` | `ConfigObject` | `parse(Script script)` Parse the given script into a configuration object (a Map) (This method creates a new class to parse the script each time it is called.)
    `` | `ConfigObject` | `parse(URL scriptLocation)` Parses a Script represented by the given URL into a ConfigObject Parameters: `scriptLocation` - The location of the script to parse Returns: The ConfigObject instance
    `` | `ConfigObject` | `parse(Script script, URL location)` Parses the passed groovy.lang.Script instance using the second argument to allow the ConfigObject to retain an reference to the original location other Groovy script Parameters: `script` - The groovy.lang.Script instance `location` - The original location of the Script as a URL Returns: The ConfigObject instance
    `` | `void` | `registerConditionalBlock(String blockName, String blockValue)`
    `` | `void` | `setBinding(Map vars)` Sets any additional variables that should be placed into the binding when evaluating Config scripts
    `` | `void` | `setEnvironment(String environment)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### private GroovyClassLoader classLoader

    - #### String environment

  - ### Constructor Detail

    - #### ConfigSlurper()

    - #### ConfigSlurper(String env)

      Constructs a new ConfigSlurper instance using the given environment

      Parameters:
        `env` - The Environment to use

    - #### ConfigSlurper()

  - ### Method Detail

    - #### Map getConditionalBlockValues()

    - #### String getEnvironment()

    - #### ConfigObject parse(Properties properties)

      Parses a ConfigObject instances from an instance of java.util.Properties

      Parameters:
        `The` - java.util.Properties instance

    - #### ConfigObject parse(String script)

      Parse the given script as a string and return the configuration object

      See Also:
        ConfigSlurper#parse(groovy.lang.Script)

    - #### ConfigObject parse(Class scriptClass)

      Create a new instance of the given script class and parse a configuration object from it

      See Also:
        ConfigSlurper#parse(groovy.lang.Script)

    - #### ConfigObject parse(Script script)

      Parse the given script into a configuration object (a Map) (This method creates a new class to parse the script each time it is called.)

      Parameters:
        `script` - The script to parse
      Returns:
        A Map of maps that can be navigating with dot de-referencing syntax to obtain configuration entries

    - #### ConfigObject parse(URL scriptLocation)

      Parses a Script represented by the given URL into a ConfigObject

      Parameters:
        `scriptLocation` - The location of the script to parse
      Returns:
        The ConfigObject instance

    - #### @SuppressWarningsSuppressWarnings ConfigObject parse(Script script, URL location)

      Parses the passed groovy.lang.Script instance using the second argument to allow the ConfigObject to retain an reference to the original location other Groovy script

      Parameters:
        `script` - The groovy.lang.Script instance
        `location` - The original location of the Script as a URL
      Returns:
        The ConfigObject instance

    - #### void registerConditionalBlock(String blockName, String blockValue)

    - #### void setBinding(Map vars)

      Sets any additional variables that should be placed into the binding when evaluating Config scripts

    - #### void setEnvironment(String environment)